# POST /scheduling/available-slots

**Resource:** [SCHEDULING](./scheduling.md)  
**MCP tool:** `get_available_slots`  
**Scopes:** `scheduling:read`  
**Write operation:** no

Get available booking slots for a scheduled event type within a date range. Returns slot start times in host timezone.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `event_type_id` | body | string | yes |  |
| `start_date` | body | string | yes |  |
| `end_date` | body | string | yes |  |
| `timezone` | body | string | no |  |

## Request example

```bash
curl -X POST   "https://api.trustpager.com/functions/v1/api/v1/scheduling/available-slots"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"event_type_id":"...","start_date":"...","end_date":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`